import getCsrfHeaderName from "../../package-shared/actions/get-csrf-header-name";
import { APILoginFunctionReturn } from "../../package-shared/types";

/**
 * Client Setup After Login
 * ===============================================================================
 * @description This function sets local storage variables like `csrf` after a user
 * is logged in. Use this in conjunction with the `datasquirel.user.loginUser`
 * function
 */
export default function postLogin(res: APILoginFunctionReturn): boolean {
    try {
        if (!res.payload) return false;
        if (!res.payload.csrf_k) return false;
        localStorage.setItem(getCsrfHeaderName(), res.payload.csrf_k);
        localStorage.setItem("user", JSON.stringify(res.payload));
        return true;
    } catch (error) {
        return false;
    }
}
