import { ApiGetQueryObject, GetReturn } from "../types";
type Param<T extends {
    [k: string]: any;
} = {
    [k: string]: any;
}> = {
    key?: string;
    db?: string;
    query: string | ApiGetQueryObject<T>;
    queryValues?: string[];
    tableName?: string;
    user_id?: string | number;
    debug?: boolean;
    forceLocal?: boolean;
};
export type ApiGetParams = Param;
/**
 * # Make a get request to Datasquirel API
 */
export default function get<T extends {
    [k: string]: any;
} = {
    [k: string]: any;
}, R extends any = any>({ key, db, query, queryValues, tableName, user_id, debug, forceLocal, }: Param<T>): Promise<GetReturn<R>>;
export {};
