"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = addQueue;
const get_queue_1 = __importDefault(require("./get-queue"));
const crud_1 = __importDefault(require("../../../utils/data-fetching/crud"));
const numberfy_1 = __importDefault(require("../../../utils/numberfy"));
function addQueue(_a) {
    return __awaiter(this, arguments, void 0, function* ({ queue, userId, dummy }) {
        const tableName = "process_queue";
        const existingQueueRes = dummy
            ? undefined
            : (yield (0, get_queue_1.default)({
                query: {
                    query: {
                        user_id: {
                            value: String(userId),
                        },
                        job_type: {
                            value: String(queue.job_type),
                        },
                    },
                },
            }));
        const existingQueue = existingQueueRes === null || existingQueueRes === void 0 ? void 0 : existingQueueRes[0];
        if ((existingQueue === null || existingQueue === void 0 ? void 0 : existingQueue.id) && !dummy)
            return undefined;
        const addQueueRes = yield (0, crud_1.default)({
            action: "insert",
            table: tableName,
            data: Object.assign(Object.assign({}, queue), { user_id: (0, numberfy_1.default)(userId) }),
        });
        return addQueueRes;
    });
}
