"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = sqlDeleteGenerator;
/**
 * # SQL Delete Generator
 */
function sqlDeleteGenerator({ tableName, data, dbFullName, }) {
    const finalDbName = dbFullName ? `${dbFullName}.` : "";
    try {
        let queryStr = `DELETE FROM ${finalDbName}${tableName}`;
        let deleteBatch = [];
        let queryArr = [];
        Object.keys(data).forEach((ky) => {
            deleteBatch.push(`${ky}=?`);
            queryArr.push(data[ky]);
        });
        queryStr += ` WHERE ${deleteBatch.join(" AND ")}`;
        return {
            query: queryStr,
            values: queryArr,
        };
    }
    catch ( /** @type {any} */error) {
        console.log(`SQL delete gen ERROR: ${error.message}`);
        return undefined;
    }
}
