"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("dotenv").config({ path: "./../.env" });
const serverError_1 = __importDefault(require("../functions/backend/serverError"));
const varDatabaseDbHandler_1 = __importDefault(require("./utils/varDatabaseDbHandler"));
const DB_HANDLER_1 = __importDefault(require("../utils/backend/global-db/DB_HANDLER"));
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/** ****************************************************************************** */
/**
 * Grab Schema
 *
 * @description Grab Schema
 */
(0, varDatabaseDbHandler_1.default)({
    queryString: `SELECT DISTINCT db_id FROM datasquirel.user_database_tables`,
}).then((tables) => __awaiter(void 0, void 0, void 0, function* () {
    // console.log(tables);
    // process.exit();
    var _a;
    for (let i = 0; i < tables.length; i++) {
        const table = tables[i];
        try {
            const { db_id } = table;
            const dbSlug = yield (0, DB_HANDLER_1.default)(`SELECT db_slug FROM user_databases WHERE id='${db_id}'`);
            const updateTableSlug = yield (0, DB_HANDLER_1.default)(`UPDATE user_database_tables SET db_slug='${dbSlug[0].db_slug}' WHERE db_id='${db_id}'`);
        }
        catch (error) {
            (0, serverError_1.default)({
                component: "shell/updateDbSlugsForTableRecords/main-catch-error",
                message: error.message,
                user: {},
            });
            (_a = global.ERROR_CALLBACK) === null || _a === void 0 ? void 0 : _a.call(global, `Error Updating DB Slugs For Table Records`, error);
        }
    }
    process.exit();
}));
