"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageMimeTypes = exports.MediaTypes = exports.DockerComposeServices = exports.DatasquirelWindowEvents = exports.WebSocketEvents = exports.QueueJobTypes = exports.SignUpParadigms = exports.UserTypes = exports.DsqlCrudActions = exports.DataCrudRequestMethods = exports.ServerQueryEqualities = exports.ServerQueryOperators = exports.TextFieldTypesArray = void 0;
exports.TextFieldTypesArray = [
    { title: "Plain Text", value: "plain" },
    { title: "Rich Text", value: "richText" },
    { title: "JSON", value: "json" },
    { title: "YAML", value: "yaml" },
    { title: "HTML", value: "html" },
    { title: "CSS", value: "css" },
    { title: "Javascript", value: "javascript" },
    { title: "Shell", value: "shell" },
];
exports.ServerQueryOperators = ["AND", "OR"];
exports.ServerQueryEqualities = [
    "EQUAL",
    "LIKE",
    "NOT EQUAL",
    "REGEXP",
    "FULLTEXT",
];
exports.DataCrudRequestMethods = ["GET", "POST", "PUT", "DELETE"];
exports.DsqlCrudActions = ["insert", "update", "delete", "get"];
exports.UserTypes = ["su", "admin"];
exports.SignUpParadigms = [
    {
        name: "email",
    },
    {
        name: "google",
    },
];
exports.QueueJobTypes = ["dummy", "import-database"];
exports.WebSocketEvents = [
    /**
     * # Client Events
     * @description Events sent from Client to Server
     */
    "client:check-queue",
    "client:dev:queue",
    "client:delete-queue",
    "client:pty-shell",
    /**
     * # Server Events
     * @description Events sent from Server to Client
     */
    "server:error",
    "server:message",
    "server:ready",
    "server:success",
    "server:update",
    "server:queue",
    "server:dev:queue",
    "server:queue-deleted",
    "server:pty-shell",
];
exports.DatasquirelWindowEvents = [
    "queue-started",
    "queue-complete",
    "queue-running",
];
exports.DockerComposeServices = [
    "setup",
    "cron",
    "reverse-proxy",
    "webapp",
    "websocket",
    "static",
    "db",
    "db-load-balancer",
    "post-db-setup",
];
exports.MediaTypes = ["image", "file"];
exports.ImageMimeTypes = [
    "webp",
    "gif",
    "svg",
    "png",
    "jpeg",
    "jpg",
];
