"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = exportMariadbDatabase;
const child_process_1 = require("child_process");
const os_1 = __importDefault(require("os"));
function exportMariadbDatabase({ dbFullName, targetFilePath, mariadbHost, mariadbPass, mariadbUser, }) {
    const mysqlDumpPath = os_1.default.platform().match(/win/i)
        ? "'" +
            "C:\\Program Files\\MySQL\\MySQL Server 8.0\\bin\\mysqldump.exe" +
            "'"
        : "mysqldump";
    const finalMariadbUser = mariadbUser || process.env.DSQL_DB_USERNAME;
    const finalMariadbHost = mariadbHost || process.env.DSQL_DB_HOST;
    const finalMariadbPass = mariadbPass || process.env.DSQL_DB_PASSWORD;
    const cmd = `${mysqlDumpPath} -u ${finalMariadbUser} -h ${finalMariadbHost} -p"${finalMariadbPass}" ${dbFullName} > ${targetFilePath}`;
    let execSyncOptions = {
        encoding: "utf-8",
    };
    const dumpDb = (0, child_process_1.execSync)(cmd, execSyncOptions);
    return dumpDb;
}
