"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = dsqlCrud;
const post_1 = __importDefault(require("../../actions/post"));
// import dsqlCrudBatchGet from "./crud-batch-get";
const crud_get_1 = __importDefault(require("./crud-get"));
function dsqlCrud(params) {
    return __awaiter(this, void 0, void 0, function* () {
        const { action, data, table, targetValue, sanitize, targetField, targetId, } = params;
        const finalData = sanitize ? sanitize(data) : data;
        switch (action) {
            case "get":
                return yield (0, crud_get_1.default)(params);
            // case "batch-get":
            //     return await dsqlCrudBatchGet(params);
            case "insert":
                return yield (0, post_1.default)({
                    query: {
                        action: "insert",
                        table,
                        data: finalData,
                    },
                    forceLocal: true,
                });
            case "update":
                data === null || data === void 0 ? true : delete data.id;
                return yield (0, post_1.default)({
                    query: {
                        action: "update",
                        table,
                        identifierColumnName: targetField || "id",
                        identifierValue: String(targetValue || targetId),
                        data: finalData,
                    },
                    forceLocal: true,
                });
            case "delete":
                return yield (0, post_1.default)({
                    query: {
                        action: "delete",
                        table,
                        identifierColumnName: targetField || "id",
                        identifierValue: String(targetValue || targetId),
                    },
                    forceLocal: true,
                });
            default:
                return null;
        }
    });
}
