"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = emptyDirectory;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
function emptyDirectory(dir) {
    try {
        const dirContent = fs_1.default.readdirSync(dir);
        for (let i = 0; i < dirContent.length; i++) {
            const fileFolder = dirContent[i];
            const fullFileFolderPath = path_1.default.join(dir, fileFolder);
            const stat = fs_1.default.statSync(fullFileFolderPath);
            if (stat.isDirectory()) {
                emptyDirectory(fullFileFolderPath);
                continue;
            }
            fs_1.default.unlinkSync(fullFileFolderPath);
        }
    }
    catch (error) {
        console.log(`Error Emptying ${dir}: ${error.message}`);
    }
}
