"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabDbFullName;
/**
 * # Grab Database Full Name
 */
function grabDbFullName({ dbName, userId }) {
    if (!dbName)
        throw new Error(`Database name not provided to db name parser funciton`);
    const sanitizedName = dbName.replace(/[^a-z0-9\_]/g, "");
    const cleanedDbName = sanitizedName.replace(/datasquirel_user_\d+_/, "");
    if (!userId)
        return cleanedDbName;
    const dbNamePrefix = `datasquirel_user_${userId}_`;
    return dbNamePrefix + cleanedDbName;
}
